Package com.destroystokyo.paper.event.profile

# Class LookupProfileEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.profile.LookupProfileEvent

public class LookupProfileEvent extends Event
Allows a plugin to be notified anytime AFTER a Profile has been looked up from the Mojang API This is an opportunity to view the response and potentially cache things. No guarantees are made about thread execution context for this event. If you need to know, check event.isAsync()

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`LookupProfileEvent(@NotNull PlayerProfile profile)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull PlayerProfile`
`getPlayerProfile()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LookupProfileEvent

public LookupProfileEvent(@NotNull @NotNull PlayerProfile profile)

## Method Details

### getPlayerProfile

@NotNull public @NotNull PlayerProfile getPlayerProfile()

Returns:
  The profile that was recently looked up. This profile can be mutated

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()